lmi-commits
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[lmi-commits] [lmi] master c1cbb7f 04/10: Start writing a master 'lmi_se


From: Greg Chicares
Subject: [lmi-commits] [lmi] master c1cbb7f 04/10: Start writing a master 'lmi_setup*' script to call the others
Date: Thu, 26 Sep 2019 09:40:21 -0400 (EDT)

branch: master
commit c1cbb7f37d95a304990953e8381d55758d4ee8e2
Author: Gregory W. Chicares <address@hidden>
Commit: Gregory W. Chicares <address@hidden>

    Start writing a master 'lmi_setup*' script to call the others
---
 lmi_setup_00.sh | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)

diff --git a/lmi_setup_00.sh b/lmi_setup_00.sh
new file mode 100755
index 0000000..c521314
--- /dev/null
+++ b/lmi_setup_00.sh
@@ -0,0 +1,41 @@
+#!/bin/sh
+
+# Create a chroot for cross-building "Let me illustrate...".
+#
+# Copyright (C) 2016, 2017, 2018, 2019 Gregory W. Chicares.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License version 2 as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software Foundation,
+# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA
+#
+# http://savannah.nongnu.org/projects/lmi
+# email: <address@hidden>
+# snail: Chicares, 186 Belle Woods Drive, Glastonbury CT 06033, USA
+
+if [ "$(id -u)" -ne 0 ]; then
+   echo "Must be run as root."
+   exit 1
+fi
+
+. ./lmi_setup_inc.sh
+
+# Progressively uncomment these lines as they're tested.
+
+# ./lmi_setup_10.sh
+# ./lmi_setup_11.sh
+# ./lmi_setup_20.sh
+# ./lmi_setup_21.sh
+# ./lmi_setup_30.sh
+# ./lmi_setup_40.sh
+# ./lmi_setup_41.sh
+# ./lmi_setup_42.sh
+# ./lmi_setup_43.sh



reply via email to

[Prev in Thread] Current Thread [Next in Thread]